#pragma once

#include "../sys/msys.h"
#include "../sys/extra/msys_extra.h"

class vertexStack
{
public:
	int max;
	int count;	
	vertex* items;
	void vertexStack::pop();
	void vertexStack::push(vertex* v);
	vertexStack(int size);
	~vertexStack(void);
};

///////////////

class texCoordStack
{
public:
	int max;
	int count;	
	vertexTexCoord* items;
	void texCoordStack::pop();
	void texCoordStack::push(vertexTexCoord* tc);
	texCoordStack(int size);
	~texCoordStack(void);
};

///////////////

class indexStack
{
public:
	int max;
	int count;	
	GLuint* items;
	void indexStack::pop();
	void indexStack::push(GLuint index);
	indexStack(int size);
	~indexStack(void);
};
